/////////////////////////////////////////////////////////////////////////////////////////

function hideAllExcept(panelid)
{
	for (index = 0; index < glb_menu_panels.length; ++index) 
	{
		if(panelid !== glb_menu_panels[index])
			hidePanelWithId(glb_menu_panels[index]);
	}
	if(panelid.lastIndexOf("mpanel-", 0) === 0)
		$("#hider").fadeIn("slow");
	else
		hidePanelWithId("hider");
}

/////////////////////////////////////////////////////////////////////////////////////////

function hideModalPanels()
{
	for (index = 0; index < glb_menu_panels.length; ++index) 
	{
		if(glb_menu_panels[index].lastIndexOf("mpanel-", 0) === 0)
			hidePanelWithId(glb_menu_panels[index]);
	}
	hidePanelWithId("hider");
}

/////////////////////////////////////////////////////////////////////////////////////////

function hidePanelWithId(panelid)
{
	if($('#' + panelid).is(':visible')) 
	{
		if(panelid == "navbarmenu")
			$('#' + panelid).hide("drop",  {direction:'up'}, 200 );
		else if(panelid == "hider")
			$("#hider").fadeOut("slow");
		else
			$('#' + panelid).hide("drop",  {direction:'right'}, 200 );
		
		if(panelid.lastIndexOf("mpanel-", 0) === 0)
			$("#hider").fadeOut("slow");
		return true;
	}
	return false;
}
